# $Revision: 1.31 $, $Date: 2009/09/24 17:36:42 $
Summary:	Userspace interface to kernel DRM services
Summary(pl.UTF-8):	Interfejs przestrzeni użytkownika do usług DRM jądra
Name:		libdrm
Version:	2.4.14
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://dri.freedesktop.org/libdrm/%{name}-%{version}.tar.bz2
# Source0-md5:	e785b6a6ebd6b8a49dd8210cd8742842
Patch0:		%{name}-fix.patch
URL:		http://dri.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Userspace interface to kernel DRM services.

%description -l pl.UTF-8
Interfejs przestrzeni użytkownika do usług DRM jądra.

%package devel
Summary:	Header files for libdrm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdrm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libdrm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libdrm.

%package static
Summary:	Static libdrm library
Summary(pl.UTF-8):	Statyczna biblioteka libdrm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdrm library.

%description static -l pl.UTF-8
Statyczna biblioteka libdrm.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-nouveau-experimental-api \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdrm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm.so.2
%attr(755,root,root) %{_libdir}/libdrm_intel.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_intel.so.1
%attr(755,root,root) %{_libdir}/libdrm_nouveau.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_nouveau.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdrm.so
%attr(755,root,root) %{_libdir}/libdrm_intel.so
%attr(755,root,root) %{_libdir}/libdrm_nouveau.so
%{_libdir}/libdrm.la
%{_libdir}/libdrm_intel.la
%{_libdir}/libdrm_nouveau.la
%{_includedir}/drm
%{_includedir}/nouveau
%{_includedir}/intel_bufmgr.h
%{_includedir}/xf86drm.h
%{_includedir}/xf86drmMode.h
%{_pkgconfigdir}/libdrm.pc
%{_pkgconfigdir}/libdrm_intel.pc
%{_pkgconfigdir}/libdrm_nouveau.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libdrm.a
%{_libdir}/libdrm_intel.a
%{_libdir}/libdrm_nouveau.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdrm.spec,v $
Revision 1.31  2009/09/24 17:36:42  arekm
- up to 2.4.14

Revision 1.30  2009/08/28 22:44:54  arekm
- up to 2.4.13

Revision 1.29  2009/08/03 12:06:43  patrys
- bump nouveau API to 0.0.15
- gallium is broken and unsupported anyway

Revision 1.28  2009/07/25 22:43:41  adamg
- revert part of 2.4.12 ( fixes Mesa-7.5 build )
- release 2

Revision 1.27  2009/07/20 12:20:01  patrys
- 2.4.12

Revision 1.26  2009/05/16 08:07:47  adamg
- updated to 2.4.11

Revision 1.25  2009/04/11 08:19:00  arekm
- up to 2.4.9

Revision 1.24  2009/04/09 20:55:33  arekm
- up to 2.4.7

Revision 1.23  2009/04/07 16:44:20  arekm
- up to 2.4.6

Revision 1.22  2009/03/31 08:15:00  arekm
- rel 2; enable nouveau from git

Revision 1.21  2009/02/24 00:39:08  adamg
- updated to 2.4.5

Revision 1.20  2009/01/15 07:21:02  arekm
- up to 2.4.4

Revision 1.19  2008/12/23 07:23:35  arekm
- up to 2.4.3

Revision 1.18  2008/10/30 19:29:50  arekm
- up to 2.4.1

Revision 1.17  2008/10/16 15:41:45  qboosh
- updated to 2.4.0

Revision 1.16  2008/07/08 20:41:41  qboosh
- ghost soname symlink

Revision 1.15  2008/07/01 09:04:48  arekm
- up to 2.3.1

Revision 1.14  2007-02-13 06:46:50  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.12  2006/11/08 22:54:21  arekm
- up to 2.3.0

Revision 1.11  2006/11/02 18:49:20  arekm
- up to 2.2.0

Revision 1.10  2006/07/01 12:31:38  qboosh
- updated to 2.0.2, removed obsolete radeon_drm patch

Revision 1.9  2006/06/16 18:06:26  freetz
- added radeon_drm patch (r200 vertex programs support), rel.2

Revision 1.8  2006/03/30 19:05:04  arekm
- up to 2.0.1

Revision 1.7  2005/12/03 15:39:17  qboosh
- updated to 2.0 (note: new soname)

Revision 1.6  2005/11/04 17:25:07  qboosh
- updated to 1.0.5, removed obsolete cvs patch

Revision 1.5  2005/10/28 08:07:34  qboosh
- added cvs patch (20051022)

Revision 1.4  2005/10/21 06:28:02  qboosh
- updated to 1.0.4; libX11 dep eliminated

Revision 1.3  2005/10/20 15:05:08  qboosh
- rebuild ac/am/lt to get rid of g++ build dependency

Revision 1.2  2005/10/20 10:59:06  jpc
- move to modular deps

Revision 1.1  2005/08/28 17:17:14  qboosh
- new
